Package org.apache.commons.fileupload2.core

# Class DiskFileItemSerializeTest

java.lang.Object
org.apache.commons.fileupload2.core.DiskFileItemSerializeTest

public class DiskFileItemSerializeTest extends Object
Serialization Unit tests for `DiskFileItem`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiskFileItemSerializeTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setUp()`
  `void`
  `tearDown()`
  `void`
  `testAboveThreshold()`
  Test creation of a field for which the amount of data falls above the configured threshold.
  `void`
  `testBelowThreshold()`
  Test creation of a field for which the amount of data falls below the configured threshold.
  `void`
  `testCheckFileName()`
  `void`
  `testInvalidRepository()`
  Test deserialization fails when repository is not valid.
  `void`
  `testThreshold()`
  Test creation of a field for which the amount of data equals the configured threshold.
  `void`
  `testValidRepository()`
  Test serialization and deserialization when repository is not null.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiskFileItemSerializeTest

    public DiskFileItemSerializeTest()

- ## Method Details

  - ### setUp

    @BeforeEach public void setUp() throws IOException
    Throws:
      `IOException`

  - ### tearDown

    @AfterEach public void tearDown() throws IOException
    Throws:
      `IOException`

  - ### testAboveThreshold

    @Test public void testAboveThreshold() throws IOException
    Test creation of a field for which the amount of data falls above the configured threshold.
    Throws:
      `IOException` - Test failure.

  - ### testBelowThreshold

    @Test public void testBelowThreshold() throws IOException
    Test creation of a field for which the amount of data falls below the configured threshold.
    Throws:
      `IOException` - Test failure.

  - ### testCheckFileName

    @Test public void testCheckFileName()

  - ### testInvalidRepository

    @Test public void testInvalidRepository() throws IOException
    Test deserialization fails when repository is not valid.
    Throws:
      `IOException` - Test failure.

  - ### testThreshold

    @Test public void testThreshold() throws IOException
    Test creation of a field for which the amount of data equals the configured threshold.
    Throws:
      `IOException` - Test failure.

  - ### testValidRepository

    @Test public void testValidRepository() throws IOException
    Test serialization and deserialization when repository is not null.
    Throws:
      `IOException` - Test failure.